summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOndrej Zajicek <santiago@crfreenet.org>2014-02-06 16:47:43 +0100
committerOndrej Zajicek <santiago@crfreenet.org>2014-02-06 16:47:43 +0100
commitf48fa14214301382b2e6b134788a7506b61b664f (patch)
tree9343862465641a2307027a94d7734e622dddd9cc
parent6601a14831cdd32fc671ebc9dc299d2be427e489 (diff)
parent300e4008f02382b87409dabb52a317b8336de55b (diff)
Merge commit 'origin/master' into socket
-rw-r--r--doc/bird.sgml3
-rwxr-xr-xmisc/bird.init21
2 files changed, 18 insertions, 6 deletions
diff --git a/doc/bird.sgml b/doc/bird.sgml
index 269743d5..13ffa94e 100644
--- a/doc/bird.sgml
+++ b/doc/bird.sgml
@@ -707,6 +707,9 @@ This argument can be omitted if there exists only a single instance.
that is routes, their metrics and (in case the <cf/all/ switch is given)
all their attributes.
+ <tag>show bfd sessions [<m/name/]</tag>
+ Show information about BFD sessions.
+
<p>You can specify a <m/prefix/ if you want to print routes for a
specific network. If you use <cf>for <m/prefix or IP/</cf>, you'll get
the entry which will be used for forwarding of packets to the given
diff --git a/misc/bird.init b/misc/bird.init
index 56842bfa..93aa83d6 100755
--- a/misc/bird.init
+++ b/misc/bird.init
@@ -22,14 +22,19 @@
BIRD4="yes"
BIRD6="yes"
+BIRD4ARGS=
+BIRD6ARGS=
+
[ -f /etc/bird.conf ] || BIRD4="no"
[ -f /usr/sbin/bird ] || BIRD4="no"
[ "${NETWORKING}" = "yes" ] || BIRD4="no"
-[ -f /etc/bird-6.conf ] || BIRD6="no"
+[ -f /etc/bird6.conf ] || BIRD6="no"
[ -f /usr/sbin/bird6 ] || BIRD6="no"
[ "${NETWORKING_IPV6}" = "yes" ] || BIRD6="no"
+[ -e /etc/sysconfig/bird ] && . /etc/sysconfig/bird
+
RETVAL=0
# See how we were called.
@@ -38,7 +43,7 @@ case "$1" in
if [ "$BIRD4" = "yes" ]
then
echo -n "Starting BIRD for IPv4: "
- daemon bird
+ daemon bird ${BIRD4ARGS}
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/bird
@@ -46,7 +51,7 @@ case "$1" in
if [ "$BIRD6" = "yes" ]
then
echo -n "Starting BIRD for IPv6: "
- daemon bird6
+ daemon bird6 ${BIRD6ARGS}
RETVAL=$?
echo
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/bird6
@@ -76,13 +81,17 @@ case "$1" in
RETVAL=$?
;;
reload)
- killall -HUP bird
- killall -HUP bird6
+ killproc bird -HUP
+ RETVAL=$?
+ echo
+ echo -n "Reloading BIRD for IPv6: "
+ killproc bird6 -HUP
RETVAL=$?
+ echo
;;
*)
echo "Usage: bird.init {start|stop|status|restart|reload}"
exit 1
esac
-exit $REVAL
+exit $RETVAL